JavassistClassTransformer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.internal.javassist
Class JavassistClassTransformer

    java.lang.Object
      org.hibernate.bytecode.spi.AbstractClassTransformerImpl
          org.hibernate.bytecode.internal.javassist.JavassistClassTransformer

All Implemented Interfaces:
  ClassTransformer

    public class JavassistClassTransformer

extends AbstractClassTransformerImpl

Enhance the classes allowing them to implements InterceptFieldEnabled This interface is then used by Hibernate for some optimizations.

Field Summary

Fields inherited from class org.hibernate.bytecode.spi.AbstractClassTransformerImpl
`classFilter, fieldFilter`

Constructor Summary
`JavassistClassTransformer(ClassFilter classFilter, FieldFilter fieldFilter)`

Method Summary
`protected byte[]` | `doTransform(ClassLoader loader, String className, Class classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)`
`protected FieldTransformer` | `getFieldTransformer(javassist.bytecode.ClassFile classfile)`

Methods inherited from class org.hibernate.bytecode.spi.AbstractClassTransformerImpl
`transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavassistClassTransformer

    public JavassistClassTransformer(ClassFilter classFilter,
                                     FieldFilter fieldFilter)

Method Detail

### doTransform

    protected byte[] doTransform(ClassLoader loader,
                                 String className,
                                 Class classBeingRedefined,
                                 ProtectionDomain protectionDomain,
                                 byte[] classfileBuffer)

  Specified by:
    `doTransform` in class `AbstractClassTransformerImpl`

### getFieldTransformer

    protected FieldTransformer getFieldTransformer(javassist.bytecode.ClassFile classfile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.